AuthnToken Bearer Token (JWT) | Recurso | Descripción |
|---|---|
| Coverage | This service allows to find an address and provices coverage info for a particular iam. |
| Coverage management | API to manage coverage data. |
| Blacklist Contact Data | This service checks if a phone, email or domain can be used as contact data. |
| Connection installation | This service check if an installation has to be done by TELEFONICA. |
| Portability | This services checks if a landline portability is allowed. |
| Device Finance Prebooking | This services checks feasibility for devices finance |
| Subscription Limit | This service provides subscriptions info of telco services |
| Sales Documents | This service checks the current states of the provided orderIds |
| Pole Info | This service provides info and management of pole ctos |
| Finance Renewal | Finance Renewal takes customer and account information among other data and makes a request to the Risk API to evaluate the feasibility or not of selling or financing a new device while you have financing in progress |
| Insurance | Insurance for validating whether selling device insurance for a given device is allowed. |
| Mobile Coverage | This service checks 5G mobile coverage availability for a given address. |
| Mobile Portability | This service will check if a number port is available by receiving an MSISDN |
AuthnToken Bearer Token (JWT) | Recurso | Descripción |
|---|---|
| Coverage | This service allows to find an address and provices coverage info for a particular iam. |
| Coverage management | API to manage coverage data. |
| Blacklist Contact Data | This service checks if a phone, email or domain can be used as contact data. |
| Connection installation | This service check if an installation has to be done by TELEFONICA. |
| Portability | This services checks if a landline portability is allowed. |
| Device Finance Prebooking | This services checks feasibility for devices finance |
| Subscription Limit | This service provides subscriptions info of telco services |
| Sales Documents | This service checks the current states of the provided orderIds |
| Pole Info | This service provides info and management of pole ctos |
| Finance Renewal | Finance Renewal takes customer and account information among other data and makes a request to the Risk API to evaluate the feasibility or not of selling or financing a new device while you have financing in progress |
| Insurance | Insurance for validating whether selling device insurance for a given device is allowed. |
| Mobile Coverage | This service checks 5G mobile coverage availability for a given address. |
| Mobile Portability | This service will check if a number port is available by receiving an MSISDN |
Returns a list of street summary objects.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
search parameter to match in the records (e.g. calle azalea, paseo del prado...)
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
[
{
"id": "420003300195",
"technical_id": "420003300195",
"score": "353.05377",
"address": {
"summary": "Avenida Iruña-Veleia Hiribidea, Vitoria-Gasteiz, ALAVA",
"street_type": "AVENIDA",
"street_name": "IRUÑA-VELEIA",
"town": "VITORIA-GASTEIZ",
"province": "ALAVA",
"province_id": "1",
"postal_code": [
"21877",
"21888"
]
}
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | gescal12 | ||||||||||||||||||||||||||||||||||||||||||
technical_id | string | gescal12 | ||||||||||||||||||||||||||||||||||||||||||
score | string | |||||||||||||||||||||||||||||||||||||||||||
address | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/streets?search=string' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns a list of building summary objects.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
search parameter to match in the records (e.g. calle azalea, madrid, paseo...)
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
[
{
"id": "28000010130200007H1",
"technical_id": "28000010130200007",
"score": "847.3662",
"address": {
"summary": "AVENIDA IRUÑA VELEIA, S/N, 01015 VITORIA-GASTEIZ",
"description": "HOTEL",
"street_type": "AVENIDA",
"street_name": "IRUÑA-VELEIA",
"number": "S/N",
"town": "VITORIA-GASTEIZ",
"postal_code": "01015",
"province": "ALAVA",
"province_id": "1"
}
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | Not gescal. If it ends by 'H' is an historical street | ||||||||||||||||||||||||||||||||||||||||||||||||||||
technical_id | string | gescal17 | ||||||||||||||||||||||||||||||||||||||||||||||||||||
score | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||
address | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/buildings?search=string' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns a list of building summary objects.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
{
"way_name": "San Juan",
"number": "1",
"way_type": "Paseo",
"town": "Pedro Andres",
"postal_code": "02534"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
way_name* | string | Way name | ||
number* | string | Number | ||
way_type | string | Way type | ||
town | string | Town name | ||
postal_code | string | Postal Code | minLength: 0, maxLength: 5 |
OK Success
[
{
"id": "28000010130200007H1",
"technical_id": "28000010130200007",
"score": "847.3662",
"address": {
"summary": "AVENIDA IRUÑA VELEIA, S/N, 01015 VITORIA-GASTEIZ",
"description": "HOTEL",
"street_type": "AVENIDA",
"street_name": "IRUÑA-VELEIA",
"number": "S/N",
"town": "VITORIA-GASTEIZ",
"postal_code": "01015",
"province": "ALAVA",
"province_id": "1"
}
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | Not gescal. If it ends by 'H' is an historical street | ||||||||||||||||||||||||||||||||||||||||||||||||||||
technical_id | string | gescal17 | ||||||||||||||||||||||||||||||||||||||||||||||||||||
score | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||
address | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/buildings/search' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"way_name": "San Juan",
"number": "1",
"way_type": "Paseo",
"town": "Pedro Andres",
"postal_code": "02534"
}' Returns a single building object
PATH PARAMETERS
Organization name as it is registered in masstack
Building identifier (Gescal 17)
QUERY PARAMETERS
A boolean to indicate if territory_owner (TO) data is needed for each unit in the unit array response. If True, to arrays will be appended to each unit. A territory_owners array that shows the TOs with coverage in the unit. A blocked_territory_owners array that shows the blocked TOs (ALL if total block)
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
{
"id": "01000500474700067",
"technical_id": "01000500474700067",
"address": {
"summary": "AVENIDA IRUÑA-VELEIA, 67, 01015 VITORIA-GASTEIZ",
"description": "",
"street_type": "AVENIDA",
"street_name": "IRUÑA-VELEIA",
"number": "67",
"town": "VITORIA-GASTEIZ",
"postal_code": "01015",
"province": "ALAVA",
"province_id": "1"
},
"coverage": [
{
"territory_owner": "FIBNEB01",
"operator": "TELEFONICA_NEBA",
"pai_local": "0110096001",
"terminal_exchange": "0110096",
"pai": "1",
"territory_owner_type": "DIRECT_COVERAGE",
"technology": "FTTH",
"availability": false,
"availability_info": {
"reason": "razon",
"completion_date": "2025-01-01"
},
"priority": "1",
"speeds": {
"estimated": "100M_100M || 50M_50M",
"profile": "100M_100M || 50M_50M"
}
}
],
"geo_code": {},
"units": [
{
"id": "01000500474700067 002C ",
"technical_id": "01000500474700067 002C ",
"territory_owners": [
"FIBMM01"
],
"territory_owner_type": "DIRECT_COVERAGE",
"blocked_territory_owners": [
"FIBMM01"
],
"address_description": {
"bis_duplicate": " ",
"block": " ",
"door": " ",
"letter": " ",
"stair": " ",
"floor": "004",
"hand1": "MOD ",
"hand2": "6 ",
"summary": " "
}
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
technical_id | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
address | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
coverage | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
geo_code | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
units | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/buildings/:technical_id' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns an extraData object for a building 'id' and 'territory_owner'.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
id parameter to match with a building 'technical_id' in ElasticSearch
territory_owner parameter to match with a building 'territory_owner'
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
{
"id": "01000500474700067",
"terminal_exchange": "##########",
"territory_owner": "BSTOR01",
"operator": "ORANGE",
"pai": "1",
"pai_local": "O0110096",
"territory_owner_type": "DIRECT_COVERAGE"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
terminal_exchange | string | |||
territory_owner | string | |||
operator | string | |||
pai | string | |||
pai_local | string | |||
territory_owner_type | string
()
DIRECT_COVERAGEINDIRECT_COVERAGEADSL | Enum representing both type TO |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/buildings/extra?id=string&territory_owner=string' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns a single building object
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Unit identifier (Gescal 37)
QUERY PARAMETERS
Boolean to chose if return the parent coverage
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
{
"id": "28000010130200007 W 001E ",
"technical_id": "28000010130200007 W 001E ",
"address_description": {
"bis_duplicate": "",
"block": "",
"door": "",
"letter": "",
"stair": "Derecha",
"floor": "001",
"hand1": "E",
"hand2": "",
"summary": "DERECHA 001E"
},
"parent": {
"id": "28000010130200007",
"coverage": [
{
"territory_owner": "FIBNEB01",
"operator": "TELEFONICA_NEBA",
"pai_local": "0110096001",
"terminal_exchange": "0110096",
"pai": "1",
"territory_owner_type": "DIRECT_COVERAGE",
"technology": "FTTH",
"availability": false,
"availability_info": {
"reason": "razon",
"completion_date": "2025-01-01"
},
"priority": "1",
"speeds": {
"estimated": "100M_100M || 50M_50M",
"profile": "100M_100M || 50M_50M"
}
}
]
},
"coverage": [
{
"territory_owner": "FIBMM01",
"operator": "MASMOVIL",
"territory_owner_type": "DIRECT_COVERAGE",
"availability_info": {
"reason": "razon",
"completion_date": "2025-01-01"
},
"address_id": "M0000000000000000000000000000005512611",
"pai_local": "0110096001",
"terminal_exchange": "0110096",
"pai": "1",
"technology": "FTTH",
"availability": false,
"priority": "1",
"speeds": {
"estimated": "100M_100M || 50M_50M",
"profile": "100M_100M || 50M_50M"
}
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
technical_id | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
address_description | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
parent | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
coverage | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/units/:id' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns an extraData object for a unit 'id' and 'territory_owner'.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
id parameter to match with a unit 'id' in ElasticSearch
territory_owner parameter to match with a unit 'territory_owner'
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
{
"id": "01000500474700067 003A ",
"address_id": "OS000000000000000000000000000000407819",
"terminal_exchange": "##########",
"territory_owner": "BSTOR01",
"operator": "ORANGE",
"pai": "01",
"pai_local": "O0110096",
"territory_owner_type": "DIRECT_COVERAGE"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
address_id | string | |||
terminal_exchange | string | |||
territory_owner | string | |||
operator | string | |||
pai | string | |||
pai_local | string | |||
territory_owner_type | string
()
DIRECT_COVERAGEINDIRECT_COVERAGEADSL | Enum representing both type TO |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/units/extra?id=string&territory_owner=string' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns an addressCode object for a building 'id' and 'vendor'.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
id parameter to match with a street 'id' in ElasticSearch (gescal12 o gescal17)
vendor parameter to match with a 'vendor'
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
{
"id": "010000300045",
"province_code": "01",
"street_code": 1000088,
"town_code": "100025",
"vendor": "EXPERIAN"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
province_code | string | |||
street_code | string | |||
town_code | string | |||
vendor | string |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/address-codes/vendor?id=string&vendor=experian' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Provides information to identify a building from a street.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
g12
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK Success
[
{
"number": 99532,
"description": "BRAMMER IBERIA",
"building_id": 48005450369299540,
"street_id": 480054503692
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
number | string | |||
description | string | |||
building_id | string | |||
street_id | string |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/coverage/streets/clarifiers/123123123123' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Return territory_owners related to address_id. Could be more than one. Must select the territory with more priotity.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
address_id with or without spaces
QUERY PARAMETERS
If true, iam business rules are applied to the response. Otherwise, the response includes all TOs found, if any.
HEADER PARAMETERS
Must be provide by feasibility squad
Must be provide by feasibility squad
Must use a UUID format
OK search results matching criteria
{
"address_id": "MKHFC000000000000000000000000000428057",
"territory_owners": [
{
"territory_owner": "FIBOR01",
"priority": 3
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
address_id | string | ||||||||||||||||||
territory_owners | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad request
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found bad input parameter
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/address/J0000000000000000000000000000003728533/territory_owner?business_rules=true' \
-H 'sf-channel: string' \
-H 'sf-segment: string' \
-H 'sf-check-id: string' \
-H 'Accept: application/json' Returns a json array of blacklist reasons available for the given user role.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
OK A list of blacklist reasons for the user auth roles
[
{
"reason": "string",
"reason_type": "string",
"reason_code": "string",
"duration_days": 0
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reason | string | |||
reason_type | string | |||
reason_code | string | |||
duration_days | integer (int32) |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/blacklist/reasons' \
-H 'Accept: application/json' Returns a json array of of blocks for a given id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
gescal 7, gescal 17 o gescal 37
OK A list of blocks for the given id
[
{
"id": 8002231318100184,
"territory_owners": [
"ALL",
"EKNBLC1",
"EKNEB01",
"FIBNBLC1",
"FIBNEB05",
"MASMOVIL"
],
"gescal_scope": "G17",
"block_reason": "CANALIZADO EXTERIOR OBSTRUIDO",
"block_reason_code": "INF_5",
"block_until": "2023-10-30",
"block_user": "example@masmovil.com",
"block_role": "feasibility-blacklist-admin",
"block_date": "2023-05-03",
"block_observation": "example observation"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
territory_owners | string[] | |||
gescal_scope | string | |||
block_reason | string | |||
block_reason_code | string | |||
block_until | string | |||
block_user | string | |||
block_role | string | |||
block_date | string | |||
block_observation | string |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
[
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/blacklist/blocks/8002231318100184' \
-H 'Accept: application/json' Blocks the given id, territory owner and reason code.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Block - The block we want to create: * id - The gescal 17 to block. * reason_code - The code for the reason we want to block the id. * territory_owner - The territory owner we want to block in that building. "ALL" to block all territory owners. * observation - An OPTIONAL 250 max character observation about the block that is being created.
{
"id": 8002231318100184,
"reason_code": "INF_5",
"territory_owner": "ALL",
"observation": "example observation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
reason_code | string | |||
territory_owner | string | |||
observation | string |
OK Returns a Json object that describes the newly created block.
{
"valid_fields": {
"id": "08002231318100184 BA ",
"territory_owner": "ALL",
"block_until": "2023-11-01",
"reason": "DISTANCIA EXCESIVA",
"block_user": "example@masmovil.com",
"block_role": "example-example-example",
"has_coverage": "EKNEB01"
},
"g17_result": [
{
"id": 8002231318100184,
"territory_owner": "ALL",
"gescal_scope": "G17",
"block_until": "2023-11-01T00:00",
"creation_user": "example@masmovil.com"
}
],
"g37_result": [
{
"id": 8002231318100184,
"territory_owner": "ALL",
"gescal_scope": "G17",
"block_until": "2023-11-01T00:00",
"creation_user": "example@masmovil.com"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
valid_fields | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
g17_result | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
g37_result | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/blacklist/building' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": 8002231318100184,
"reason_code": "INF_5",
"territory_owner": "ALL",
"observation": "example observation"
}' Blocks the given id, territory owner and reason code.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Block - The block we want to create: * id - The gescal 37 to block. * reason_code - The code for the reason we want to block the id. * territory_owner - The territory owner we want to block in that building. "ALL" to block all territory owners. * observation - An OPTIONAL 250 max character observation about the block that is being created.
{
"id": "08002231318100184 001 ",
"reason_code": "INF_5",
"territory_owner": "ALL",
"observation": "example observation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
reason_code | string | |||
territory_owner | string | |||
observation | string |
OK Returns a Json object that describes the newly created block.
{
"valid_fields": {
"id": "08002231318100184 BA ",
"territory_owner": "ALL",
"block_until": "2023-11-01",
"reason": "DISTANCIA EXCESIVA",
"block_user": "example@masmovil.com",
"block_role": "example-example-example",
"has_coverage": "EKNEB01"
},
"g37_result": [
{
"id": 8002231318100184,
"territory_owner": "ALL",
"gescal_scope": "G17",
"block_until": "2023-11-01T00:00",
"creation_user": "example@masmovil.com"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
valid_fields | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
g37_result | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/blacklist/unit' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": "08002231318100184 001 ",
"reason_code": "INF_5",
"territory_owner": "ALL",
"observation": "example observation"
}' Blocks the given id, territory owner and reason code.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
gescal 17 to unblock
QUERY PARAMETERS
territory owner to unblock
reason code to unblock
An OPTIONAL observation about the unblock that is being done
OK Returns a Json object that describes all the unblocked gescals
{
"valid_fields": {
"is_blocked": "MDgwMDIyMzEzMTgxMDAxODQgICAgICAgICBCQSAgICAgICAgIA==",
"territory_owner": "ALL",
"unblock_role": "example-example-example"
},
"g17_result": [
{
"id": 8002231318100184,
"territory_owner": "ALL",
"gescal_scope": "G17",
"block_until": "2023-11-01T00:00",
"creation_user": "example@masmovil.com"
}
],
"g37_result": [
{
"id": 8002231318100184,
"territory_owner": "ALL",
"gescal_scope": "G17",
"block_until": "2023-11-01T00:00",
"creation_user": "example@masmovil.com"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
valid_fields | object | |||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
g17_result | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
g37_result | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X DELETE 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/blacklist/building/:id?territory_owner=string&reason_code=string' \
-H 'Accept: application/json' Blocks the given id, territory owner and reason code.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
gescal 37 to unblock
QUERY PARAMETERS
territory owner to unblock
reason code to unblock
An OPTIONAL observation about the unblock that is being done
OK Returns a Json object that describes all the unblocked gescals
{
"valid_fields": {
"is_blocked": "MDgwMDIyMzEzMTgxMDAxODQgICAgICAgICBCQSAgICAgICAgIA==",
"territory_owner": "ALL",
"unblock_role": "example-example-example"
},
"g37_result": [
{
"id": 8002231318100184,
"territory_owner": "ALL",
"gescal_scope": "G17",
"block_until": "2023-11-01T00:00",
"creation_user": "example@masmovil.com"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
valid_fields | object | |||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
g37_result | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X DELETE 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/blacklist/unit/:id?territory_owner=string&reason_code=string' \
-H 'Accept: application/json' Return load info for id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
load id
OK search results matching criteria
{
"id": "coverage-load-2023-10-30",
"user": "example@email.com",
"status": "DONE",
"load_type": "FTTH_COVERAGE",
"files": [
"GIT_107_107_01_231031_01_00073616.csv"
],
"stages": [
{
"stage": "PRELOAD",
"status": "DONE",
"log": "string",
"started_at": "2023-10-30 17:15:56",
"ended_at": "2023-10-30 17:36:22"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | |||||||||||||||||||||||||||||||||
user | string | |||||||||||||||||||||||||||||||||
status | string
()
RUNNINGCANCELEDFAILEDDONE | |||||||||||||||||||||||||||||||||
load_type | string
()
FTTH_COVERAGEFTTH_COVERAGE_DELTABLACKLISTMAPHISTORICAL_NAMESnull | |||||||||||||||||||||||||||||||||
files | string[] | |||||||||||||||||||||||||||||||||
stages | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/load/info/coverage-load-2023-10-30' \
-H 'Accept: application/json' Return load summary data for loads that started on a date between start_date and end_date
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
date range start
date range end
user that started the data load
type of data load
array of status a load is in
a string to perform a partial search against files loaded. Similar to functions CONTAINS
max number of items in response
firs n items to skip in response
OK list of data loads matching search criteria
{
"data": [
{
"id": "coverage-load-2023-10-30",
"user": "example@email.com",
"status": "DONE",
"load_type": "FTTH_COVERAGE",
"files": [
"GIT_107_107_01_231031_01_00073616.csv"
],
"stages": [
{
"stage": "PRELOAD",
"status": "DONE",
"log": "string",
"started_at": "2023-10-30 17:15:56",
"ended_at": "2023-10-30 17:36:22"
}
]
}
],
"limit": 5,
"offset": 0,
"total": 1
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
data | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
limit | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
offset | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/load/history?start_date=2023-10-01&end_date=2023-10-30&user=example%40example.com&status=DONE&files=HFC&limit=5&offset=0' \
-H 'Accept: application/json' Indicates if load service is available. The service may be processing another data load and thus, not available for a new load.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
load type to check availability
OK indicates if system is available
[
{
"loadType": "FTTH_COVERAGE",
"availability": true
},
{
"loadType": "BLACKLIST",
"availability": true
},
{
"loadType": "FTTH_COVERAGE_DELTA",
"availability": true
},
{
"loadType": "HISTORICAL_NAMES",
"availability": true
},
{
"loadType": "MAP",
"availability": true
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
availability | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
reason | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/load/availabilities' \
-H 'Accept: application/json' Indicates if load service is available. The service amy be processing another data load and thus, not available for a new load.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
load type to check availability
OK indicates if system is available
{
"availability": false,
"reason": {
"id": "coverage-load-2023-10-30",
"user": "example@email.com",
"status": "RUNNING",
"load_type": "FTTH_COVERAGE",
"files": [
"GIT_107_107_01_231031_01_00073616.csv"
],
"stages": [
{
"stage": "PRELOAD",
"status": "RUNNING",
"log": "string",
"started_at": "2023-10-30 17:15:56"
}
]
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
availability | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
reason | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/load/availability?load_type=FTTH_COVERAGE' \
-H 'Accept: application/json' Creates a new load
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
{
"load_type": "FTTH_COVERAGE"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
load_type | string
()
FTTH_COVERAGEFTTH_COVERAGE_DELTABLACKLISTMAPHISTORICAL_NAMESnull |
OK indicates if system is available
{
"id": "coverage-load-2023-10-30",
"user": "example@email.com",
"type": "FTTH_COVERAGE",
"status": "DONE",
"started_at": "2023-10-30"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
user | string | |||
type | string
()
FTTH_COVERAGEFTTH_COVERAGE_DELTABLACKLISTMAPHISTORICAL_NAMESnull | |||
status | string
()
PENDINGRUNNINGDONECANCELEDFAILED | |||
started_at | string (date) | pattern: /([0-9]{4})-(?:[0-9]{2})-([0-9]{2})/ |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Conflict Conflict
{
"code": "0014",
"status": "CONFLICT",
"message": "Conflict",
"detailMsg": "Load for id '{id}' already exists"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Resource Locked
{
"code": "0017",
"status": "RESOURCE_LOCKED",
"message": "Resource Locked",
"detailMsg": "Service is processing another data load"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/load' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"load_type": "FTTH_COVERAGE"
}' Update load audit check stage to DONE, if user wants load to continue or CANCELED if user wants to stop the data load.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
{
"id": "string",
"status": "DONE",
"night_load": false
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | |||
status* | string
()
DONECANCELED | |||
night_load | boolean | false |
OK Response without a content that indcates the operation was successful
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Conflict Conflict
{
"code": "0014",
"status": "CONFLICT",
"message": "Conflict",
"detailMsg": "Audit check already finished"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/management/load/audit_check' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": "string",
"status": "DONE",
"night_load": false
}' Returns true or false, depending on wheter field is locked or not.
contactType - The type of contact we want to check: * number - Field of type phone that we have to check if it is blocked. * email - Field of type email that we have to check if it is blocked. * emailDomain - Field of type email domain that we have to check if it is blocked. value - Contact info value.
{
"contactType": "number",
"value": 696969696
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
contactType* | string
()
numberemail | |||
value* | string |
OK Accepted
{
"isBlocked": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
isBlocked | boolean |
Bad Request Bad request
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/blacklist/contact/isBlocked' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"contactType": "number",
"value": 696969696
}' Retrieves an addressConnection
PATH PARAMETERS
addressConnection identifier (gescal17)
OK Success
{
"id": "22000030036000016",
"installer": "TESA",
"connectionType": "P",
"portIn": false,
"user": "theAcomitator",
"creationDate": "2019-07-11T10:0:00+0000",
"updateDate": "2019-07-11T10:0:00+0000",
"releaseReason": null,
"comment": "it was a sunny day...",
"estimatedReleaseDate": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
installer | string
()
"TESA""MM" | |||
connectionType | string
()
"P""N""NV""S""O"null | * P - CTO on post * N - CTO not pre-connectorized * NV - CTO Not pre-connectorized with structured vertical * S - Special * O - Other * null - not defined | ||
portIn | boolean | True if the installer changes from MM to TESA due to Inspector intervention | ||
user | string | Last user to create/modify the address connection status | ||
creationDate | string | |||
updateDate | string | |||
releaseReason | string
()
"A""I""O"null | * A - Automatic release based on date * I - Field Inspector * O - Other * null - Not released (Installer = TESA) | ||
comment | string | |||
estimatedReleaseDate | string | Estimated release date based on type of connection and area |
Not Found addressConnection not found
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unexpected error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/connection/addressConnection/:id' \
-H 'Accept: application/json' Inserts or updates an addressConnection
PATH PARAMETERS
addressConnection identifier (gescal17)
New addressConnection data that to be inserted or updated.
{
"id": "22000030036000016",
"installer": "TESA",
"connectionType": "P",
"portIn": false,
"user": "theAcomitator",
"creationDate": "2019-07-11T10:0:00+0000",
"updateDate": "2019-07-11T10:0:00+0000",
"releaseReason": null,
"comment": "it was a sunny day...",
"estimatedReleaseDate": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
installer | string
()
"TESA""MM" | |||
connectionType | string
()
"P""N""NV""S""O"null | * P - CTO on post * N - CTO not pre-connectorized * NV - CTO Not pre-connectorized with structured vertical * S - Special * O - Other * null - not defined | ||
portIn | boolean | True if the installer changes from MM to TESA due to Inspector intervention | ||
user | string | Last user to create/modify the address connection status | ||
creationDate | string | |||
updateDate | string | |||
releaseReason | string
()
"A""I""O"null | * A - Automatic release based on date * I - Field Inspector * O - Other * null - Not released (Installer = TESA) | ||
comment | string | |||
estimatedReleaseDate | string | Estimated release date based on type of connection and area |
No Content No Content
Bad Request Bad Request
unexpected error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unexpected error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X PUT 'https://feasibility.sta.masstack.com/v1/connection/addressConnection/:id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": "22000030036000016",
"installer": "TESA",
"connectionType": "P",
"portIn": false,
"user": "theAcomitator",
"creationDate": "2019-07-11T10:0:00+0000",
"updateDate": "2019-07-11T10:0:00+0000",
"releaseReason": null,
"comment": "it was a sunny day...",
"estimatedReleaseDate": null
}' Retrieves the avaible connectionType values
OK Success
[
{
"key": "string",
"value": "string"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
key | string | |||
value | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/connection/connectionType' \
-H 'Accept: application/json' Returns whether the portability process can be carried out and whether it requires a new installation
PATH PARAMETERS
{
"number": "911234567",
"territoryOwner": "FIBNEB01",
"technicalId": "12345678901234567",
"technology": "FTTH",
"sfid": "AW001200"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
number* | string | Fixed number to be ported | ||
territoryOwner* | string | Territory owner. Not mandatory if technology is MIFIJO | ||
technicalId* | string | TechnicalId (corresponding with "GESCAL" ). Not mandatory if technology is MIFIJO | ||
technology* | string
()
FTTHADSLMIFIJO | Technology to be provided | ||
sfid* | string | Seller SFID |
OK Success
{
"internalPortability": "false",
"isPortable": "true",
"installationRequired": "true",
"operator": {
"code": "00031",
"name": "XTRA"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
internalPortability | boolean | Determines whether the process is an internal portability or not | |||||||||||||||||
isPortable | boolean | Determines whether the number is portable | |||||||||||||||||
installationRequired | boolean | Determines whether a new installation is required | |||||||||||||||||
operator | object | ||||||||||||||||||
| |||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/:orgId/portability/portabilityCheck' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"number": "911234567",
"territoryOwner": "FIBNEB01",
"technicalId": "12345678901234567",
"technology": "FTTH",
"sfid": "AW001200"
}' [DEPRECATED] By passing in the appropriate options, you can check if a finance is pre-accepted or rejected
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Desired financial entity to be consulted (Currently only XCF is supported)
{
"personal_details": {
"personal_data": {
"document_id": {
"type": "NIF",
"value": "11111111A",
"expiration_date": "YYYY-MM-DD"
},
"name": "Lorenzo",
"surnames": [
"Muñoz",
"Medina"
],
"birthdate": "YYYY-MM-DD",
"gender": 1,
"nationality": "ES"
},
"contact_data": {
"email": "example@example.com",
"phone_number": "6XXXXXXXX",
"phone_number2": "6XXXXXXXX"
},
"employment": {
"profession": 8,
"company": "Mycompany S.A.",
"income": "1900,00 / 1900.00",
"income_source": 1,
"other_income_source": "Otra fuente",
"activity_country": "ES",
"professional_area": 1,
"professional_use": false
},
"segment": "string",
"address": {
"street": "Ejemplo",
"street_type": "Calle",
"number": "2",
"bis": "string",
"city": "Madrid",
"gescal": "28XXXXXXXXXXXXXXX",
"district": "string",
"block": "string",
"stair": "string",
"floor": "string",
"letter": "string",
"zip_code": "28001",
"province": "Madrid",
"state": "string",
"country": "ES",
"additional_details": "string"
}
},
"order_details": {
"sfid": "string",
"fuc_code": 323841452,
"telco_society": 1,
"order_type": 0,
"device": {
"id": "string",
"brand": "Apple",
"model": "Iphone 13 256 Gb",
"name": "Apple Iphone 13 256 Gb",
"description": "string",
"category": 1,
"colour": "black",
"value": "1199,00 / 1199.00"
}
},
"financial_details": {
"financial_brand": 1,
"financial_product": 1,
"final_payment": "100,00 / 100.00",
"loan": {
"value": 119,
"commision": 0,
"tae": 0,
"tin": 0,
"duration": 0,
"monthly_fee": 0,
"bank_account": {
"name": "Lorenzo",
"surnames": [
"Muñoz",
"Medina"
],
"iban": "string"
}
}
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
personal_details | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
order_details | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
financial_details | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK Success
{
"feasibility_id": "ffa10f3b-8351-4665-b50b-096b7d266cab",
"order_id": "ffa10f3b8351",
"authorization_id": 3025045868,
"financial_entity": "XCF",
"status": "Accepted",
"granted_amount": "900.00",
"credit_line_amount": 0,
"financial_product": 1
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
feasibility_id | string | feasibility order id | ||
order_id | string | bank order id | ||
authorization_id | string | bank authorization id | ||
financial_entity | string
()
XCF | entity that provides the financing | ||
status | string
()
AcceptedRejected | status of the financing | ||
granted_amount | string | 900,00 / 900.00 | ||
credit_line_amount | number | |||
financial_product | integer
()
123 | final product offered by the bank * 1 - Préstamo personal * 2 - Tarjeta de crédito * 3 - Linea de crédito (sin tarjeta) |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "detailMsg"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/finance/devices/feasible?entityBank=XCF' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"personal_details": {
"personal_data": {
"document_id": {
"type": "NIF",
"value": "11111111A",
"expiration_date": "YYYY-MM-DD"
},
"name": "Lorenzo",
"surnames": [
"Muñoz",
"Medina"
],
"birthdate": "YYYY-MM-DD",
"gender": 1,
"nationality": "ES"
},
"contact_data": {
"email": "example@example.com",
"phone_number": "6XXXXXXXX",
"phone_number2": "6XXXXXXXX"
},
"employment": {
"profession": 8,
"company": "Mycompany S.A.",
"income": "1900,00 / 1900.00",
"income_source": 1,
"other_income_source": "Otra fuente",
"activity_country": "ES",
"professional_area": 1,
"professional_use": false
},
"segment": "string",
"address": {
"street": "Ejemplo",
"street_type": "Calle",
"number": "2",
"bis": "string",
"city": "Madrid",
"gescal": "28XXXXXXXXXXXXXXX",
"district": "string",
"block": "string",
"stair": "string",
"floor": "string",
"letter": "string",
"zip_code": "28001",
"province": "Madrid",
"state": "string",
"country": "ES",
"additional_details": "string"
}
},
"order_details": {
"sfid": "string",
"fuc_code": 323841452,
"telco_society": 1,
"order_type": 0,
"device": {
"id": "string",
"brand": "Apple",
"model": "Iphone 13 256 Gb",
"name": "Apple Iphone 13 256 Gb",
"description": "string",
"category": 1,
"colour": "black",
"value": "1199,00 / 1199.00"
}
},
"financial_details": {
"financial_brand": 1,
"financial_product": 1,
"final_payment": "100,00 / 100.00",
"loan": {
"value": 119,
"commision": 0,
"tae": 0,
"tin": 0,
"duration": 0,
"monthly_fee": 0,
"bank_account": {
"name": "Lorenzo",
"surnames": [
"Muñoz",
"Medina"
],
"iban": "string"
}
}
}
}' Gives active subscriptions info and fraud limits of telco services for a client
PATH PARAMETERS
Organization name as it is registered in mas-stack
{
"document_type": "NIF",
"document_id": "88662844Y",
"subscription_type": "mobile",
"segment": "Consumer"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
document_type | string
()
NIFCIFNIEPASSPORTTR | client document type. | ||
document_id | string | client document number. | ||
subscription_type | string
()
BroadbandLandlineMobile | |||
segment | string
()
ConsumerSelfEmployeeSMEB2B |
OK Success
{
"type": "mobile",
"limit": 10,
"active_subscriptions": 8,
"subscriptions_allowed": 2
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
type | string | request subscription type | ||
limit | integer | fraud limit | ||
active_subscriptions | integer | active subscription for request type and client | ||
subscriptions_allowed | integer | subscriptions allowed for request type and client |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/subscriptions/limit/active' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"document_type": "NIF",
"document_id": "88662844Y",
"subscription_type": "mobile",
"segment": "Consumer"
}' Service that receives N orderId and returns another array of requests with their respective documents and validation status
PATH PARAMETERS
Organization name as it is registered in mas-stack
A list of orderIds to be consulted
{
"orders": [
30453849
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
orders | string[] |
OK Success
{
"errorCode": 0,
"data": {
"orders": [
{
"orderId": "30453849",
"orderErrorCode": 0,
"status": "A",
"documents": [
{
"documentID": "1",
"documentErrorCode": "0",
"documentName": "NIF Administrador",
"documentStatus": "A",
"documentMotive": "Documento solicitado pendiente de envío",
"documentMaxSize": "1"
},
{
"documentID": "2",
"documentErrorCode": "0",
"documentName": "CIF Empresa",
"documentStatus": "C",
"documentMotive": "El documento que has facilitado no es el correcto",
"documentMaxSize": "1"
},
{
"documentID": "3",
"documentErrorCode": "0",
"documentName": "Escrituras",
"documentStatus": "C",
"documentMotive": "El documento que has facilitado no es legible. Por favor, envía una copia más nítida.",
"documentMaxSize": "3"
}
]
},
{
"orderId": "30453850",
"orderErrorCode": 106,
"orderErrorMessage": "Order information not found"
}
]
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorCode | number | minLength: 1, maxLength: 1 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
data | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Unauthorized exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/sales/documents/document_status' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"orders": [
30453849
]
}' Returns volume of locations both total and grouped by operator based on initial location and scope
PATH PARAMETERS
QUERY PARAMETERS
* building - Locations (1) and operators in the building * street - Locations and operators in the street (S/N included) * street odd - Locations and operators in the street, only odd numbers (S/N not included) * street even - Locations and operators in the street, only even numbers (S/N not included) * town - Locations and operators in the town
OK Success
{
"technicalId": "01000500474700067",
"scope": "street",
"totalVolume": 50,
"operators": [
{
"operator": "MasMovil",
"volume": 20
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
technicalId | string | ||||||||||||||||||
scope | string
()
buildingstreetstreet oddstreet eventown | ||||||||||||||||||
totalVolume | integer | ||||||||||||||||||
operators | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Conflict Conflict
{
"code": "0014",
"status": "CONFLICT",
"message": "Conflict",
"detailMsg": "You cannot modify the record with that type of user"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/poleinfo/location/:technicalId/installations/volumes?scope=building' \
-H 'Accept: application/json' Updates installationType information associated to a technicalId and a operator and scope
PATH PARAMETERS
Scope, operator/s and installationType to be updated and source information
{
"operators": null,
"installationType": "POSTE",
"scope": "street",
"source": {
"user": "1231FSM",
"type": "INSPECTOR"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
operators* | any | ||||||||||||||||||
installationType* | string
()
POSTEPOSTE HNO POSTE | ||||||||||||||||||
scope* | string
()
buildingstreetstreet oddstreet even | ||||||||||||||||||
source* | object | ||||||||||||||||||
| |||||||||||||||||||
OK Accepted
{} Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/poleinfo/location/:technicalId/installations' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"operators": null,
"installationType": "POSTE",
"scope": "street",
"source": {
"user": "1231FSM",
"type": "INSPECTOR"
}
}' Returns locations contained in the scope associated to a technicalId and operator/s
PATH PARAMETERS
QUERY PARAMETERS
operator of the requested installations (if empty all will be returned)
OK Success
{
"total": 50,
"installations": [
{
"operators": [
"Grupo MasMovil"
],
"technicalId": "01000500474700067",
"streetNum": "67"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
total | integer | |||||||||||||||||||||||
installations | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Conflict Conflict
{
"code": "0014",
"status": "CONFLICT",
"message": "Conflict",
"detailMsg": "You cannot modify the record with that type of user"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/poleinfo/location/:technicalId/installations/list?scope=street' \
-H 'Accept: application/json' Requests an update of a list of installations
List of installations to be updated
{
"installationType": "POSTE, NO POSTE, POSTE H",
"operators": [
"MasMovil"
],
"technicalIds": [
"01000500474700067"
],
"source": {
"user": "1231FSM",
"type": "INSPECTOR"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
installationType | string | ||||||||||||||||||
operators | string[] | ||||||||||||||||||
technicalIds | string[] | ||||||||||||||||||
source | object | ||||||||||||||||||
| |||||||||||||||||||
OK Accepted
{} Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/poleinfo/installations/list' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"installationType": "POSTE, NO POSTE, POSTE H",
"operators": [
"MasMovil"
],
"technicalIds": [
"01000500474700067"
],
"source": {
"user": "1231FSM",
"type": "INSPECTOR"
}
}' Requests an update of a single CTO
PATH PARAMETERS
CTO information to be updated
{
"cto": {
"ctoCode": "08346863x4433xe",
"territoryOwner": "ADAMO01",
"installationType": "FACHADA"
},
"source": {
"user": "1231FSM",
"type": "INSPECTOR"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
cto | object | |||||||||||||||||||||||
| ||||||||||||||||||||||||
source | object | |||||||||||||||||||||||
| ||||||||||||||||||||||||
OK Accepted
{} Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Conflict Conflict
{
"code": "0014",
"status": "CONFLICT",
"message": "Conflict",
"detailMsg": "You cannot modify the record with that type of user"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/poleinfo/location/:technicalId/cto' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"cto": {
"ctoCode": "08346863x4433xe",
"territoryOwner": "ADAMO01",
"installationType": "FACHADA"
},
"source": {
"user": "1231FSM",
"type": "INSPECTOR"
}
}' Returns the installation type associated to a technicalId and an TO (POSTE, POSTE H, NO POSTE)
PATH PARAMETERS
gescal17 or gescal37. 17 o 37 caracteres
QUERY PARAMETERS
TO of the requested installations
OK Success
{
"installationType": [
"POSTE"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
installationType | string[] |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/poleinfo/location/:technicalId/installationtype?territoryOwner=string' \
-H 'Accept: application/json' PATH PARAMETERS
Organization name as it is registered in Mas-Stack
HEADER PARAMETERS
Client IP address
{
"customer_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"account_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"subscription_id": "125474c9-b563-487d-abe1-37106da7d4f6",
"app_id": 4,
"dealer_id": "54321"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
customer_id* | string | new uuid format used by MasCustomers | ||
account_id* | string | new uuid format used by MasCustomers | ||
subscription_id* | string (int64) | uuid legacy id | ||
app_id* | integer | sales application | ||
dealer_id* | string | dealer id |
OK Success
{
"action": "RENEWAL_WITH_TYPE1",
"available_credit_limit": 1200,
"financed_devices_available_limit": 3,
"prescoring_id_value": 173140355176787,
"renewal_denied_reason": "NONE",
"renewal_allowed": true,
"score_value": "APPROVED",
"prescoring_risk_profile": "BAJO",
"single_upfront_devices_available_limit": 3,
"subscription": {
"subscription_id": 7890
},
"total_limits": {
"credit_limit": 4000,
"financed_devices_limit": 2,
"single_upfront_devices_limit": 1
},
"score_description": "Client approved with low risk profile"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
subscription | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
total_limits | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
payment_financial_entity | object[] | ||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||
renewal_allowed | boolean | ||||||||||||||||||||||||||||||||||||||
financed_devices_available_limit | integer | ||||||||||||||||||||||||||||||||||||||
available_credit_limit | number (double) | ||||||||||||||||||||||||||||||||||||||
single_upfront_devices_available_limit | integer | ||||||||||||||||||||||||||||||||||||||
prescoring_id_value | integer (int64) | ||||||||||||||||||||||||||||||||||||||
prescoring_risk_profile | string
()
ALTOBAJOMEDIOUNKNOWN | ||||||||||||||||||||||||||||||||||||||
score_value | string
()
REJECTEDUNFRONT_REQUIREDAPPROVEDSPECIAL_APPROVED | Enum representing score values for different states. | |||||||||||||||||||||||||||||||||||||
renewal_denied_reason | string
()
NONECONTRACTED_TERMINAL_IN_LOGISTIC_PROCESS_INVALIDCONTRACTED_TERMINAL_IN_PENALIZATION_PERIODCONTRACTED_TERMINAL_IN_PENDING_PAYMENT_REVIEW | ||||||||||||||||||||||||||||||||||||||
action | string
()
RENEWAL_WITH_TYPE1_AND_CANCEL_PERMANENCYRENEWAL_WITH_TYPE1RENEWAL_WITH_TYPE2 | ||||||||||||||||||||||||||||||||||||||
score_description | string | ||||||||||||||||||||||||||||||||||||||
segmentation_code | string | ||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Unauthorized exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Time out Error
{
"code": "0007",
"status": "REQUEST_TIMEOUT",
"message": "Request Timeout",
"detailMsg": "Name Api"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Bad Gateway Bad Gateway error
{
"code": "0016",
"status": "BAD_GATEWAY",
"message": "Bad gateway",
"detailMsg": "Bad gateway"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/finance/renewal' \
-H 'sf-client-ip: 192.168.1.1' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customer_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"account_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"subscription_id": "125474c9-b563-487d-abe1-37106da7d4f6",
"app_id": 4,
"dealer_id": "54321"
}' PATH PARAMETERS
Organization name as it is registered in Mas-Stack
{
"customer_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"account_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"operation": "CONVERGENT",
"sales_app": 4,
"dealer_id": "54321",
"customer_info": {
"first_name": "Lorenzo",
"last_name": "Lopez Lopez",
"middle_name": "Medina",
"birth_date": "1990-05-23",
"contact_data": {
"email": "example@example.com",
"phone_number": "6XXXXXXXX",
"phone_number2": "6XXXXXXXX"
},
"address_info": {
"address": "CALLE DE FRANCISCO GINER",
"postal_code": 28830,
"locality": "San Fernando de Henares",
"region_code": "MA",
"administrative_area": "Madrid",
"country_id": "ES"
},
"associated_user": {
"first_name": "Lorenzo",
"middle_name": "Lopez",
"second_name": "Medina",
"document_type": "NIF",
"document_id": "88662844Y",
"nationality": "ES"
}
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
customer_id | string | new uuid format used by MasCustomers | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_id | string | new uuid format used by MasCustomers | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
operation | string
()
CONVERGENTMOBILE_ONLYMIGRATIONADDLINE | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sales_app | integer | sales application | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealer_id | string | dealer id | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
customer_info | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK Success
{
"available_credit_limit": 1200,
"financed_devices_available_limit": 3,
"prescoring_id_value": 173140355176787,
"renewal_denied_reason": "NONE",
"renewal_allowed": true,
"score_value": "APPROVED",
"prescoring_risk_profile": "BAJO",
"single_upfront_devices_available_limit": 3,
"payment_financial_entity": [
{
"entity": "BBVA",
"amount": 1500
},
{
"entity": "CETELEM",
"amount": 50
}
],
"total_limits": {
"credit_limit": 4000,
"financed_devices_limit": 2,
"single_upfront_devices_limit": 1
},
"score_description": "Client approved with low risk profile"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
subscription | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
total_limits | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
payment_financial_entity | object[] | ||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||
renewal_allowed | boolean | ||||||||||||||||||||||||||||||||||||||
financed_devices_available_limit | integer | ||||||||||||||||||||||||||||||||||||||
available_credit_limit | number (double) | ||||||||||||||||||||||||||||||||||||||
single_upfront_devices_available_limit | integer | ||||||||||||||||||||||||||||||||||||||
prescoring_id_value | integer (int64) | ||||||||||||||||||||||||||||||||||||||
prescoring_risk_profile | string
()
ALTOBAJOMEDIOUNKNOWN | ||||||||||||||||||||||||||||||||||||||
score_value | string
()
REJECTEDUNFRONT_REQUIREDAPPROVEDSPECIAL_APPROVED | Enum representing score values for different states. | |||||||||||||||||||||||||||||||||||||
renewal_denied_reason | string
()
NONECONTRACTED_TERMINAL_IN_LOGISTIC_PROCESS_INVALIDCONTRACTED_TERMINAL_IN_PENALIZATION_PERIODCONTRACTED_TERMINAL_IN_PENDING_PAYMENT_REVIEW | ||||||||||||||||||||||||||||||||||||||
action | string
()
RENEWAL_WITH_TYPE1_AND_CANCEL_PERMANENCYRENEWAL_WITH_TYPE1RENEWAL_WITH_TYPE2 | ||||||||||||||||||||||||||||||||||||||
score_description | string | ||||||||||||||||||||||||||||||||||||||
segmentation_code | string | ||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Unauthorized exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Not found
{
"code": "0001",
"status": "NOT_FOUND",
"message": "Resource Not Found",
"detailMsg": "{Entity} not found for id: {id}"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Time out Error
{
"code": "0007",
"status": "REQUEST_TIMEOUT",
"message": "Request Timeout",
"detailMsg": "Name Api"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Internal Server Error Internal Server Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Bad Gateway Bad Gateway error
{
"code": "0016",
"status": "BAD_GATEWAY",
"message": "Bad gateway",
"detailMsg": "Bad gateway"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/finance/credit_limit' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customer_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"account_id": "963085b0-f526-4a53-88bc-4d14d8311eaa",
"operation": "CONVERGENT",
"sales_app": 4,
"dealer_id": "54321",
"customer_info": {
"first_name": "Lorenzo",
"last_name": "Lopez Lopez",
"middle_name": "Medina",
"birth_date": "1990-05-23",
"contact_data": {
"email": "example@example.com",
"phone_number": "6XXXXXXXX",
"phone_number2": "6XXXXXXXX"
},
"address_info": {
"address": "CALLE DE FRANCISCO GINER",
"postal_code": 28830,
"locality": "San Fernando de Henares",
"region_code": "MA",
"administrative_area": "Madrid",
"country_id": "ES"
},
"associated_user": {
"first_name": "Lorenzo",
"middle_name": "Lopez",
"second_name": "Medina",
"document_type": "NIF",
"document_id": "88662844Y",
"nationality": "ES"
}
}
}' PATH PARAMETERS
Organization name as it is registered in Mas-Stack
{
"insurance_type": "GLOBAL",
"delivery_date": "1990-05-23"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
insurance_type* | string
()
GLOBALMULTIMEDIA | type of insurance to check | ||
delivery_date | string (date) |
OK Success
{
"allowed": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
allowed | boolean |
Bad Request Bad request
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Unauthorized exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/insurance/check' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"insurance_type": "GLOBAL",
"delivery_date": "1990-05-23"
}' Validates if 5G mobile coverage is available for a given address identified by technical_id (GESCAL code). The technical_id parameter should be URL-encoded when it contains spaces or special characters. Note that any other response different from a 200 are passed through from the upstream GIROS system and may have varying response formats.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
GESCAL address identifier. Standardized Spanish address code used by telecommunications operators. Must be exactly 17 or 37 characters. URL-encode spaces and special characters (e.g., Ñ → %C3%91).
OK Success - Returns 5G availability status
{
"5g": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
5g* | boolean | Indicates if 5G mobile coverage is available at the address. |
Bad Request Bad request - Invalid technical_id format. The path parameter must be exactly 17 or 37 characters long.
{
"code": "0015",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "The field '{fieldName}' is required"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Unauthorized exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
Not Found Address not found in GIROS system (pass-through response)
Precondition failed in GIROS system (pass-through response)
Internal Server Error Internal server error from GIROS system (pass-through response)
Unexpected error
{
"code": "0002",
"status": "UNEXPECTED",
"message": "Unexpected error",
"detailMsg": "Unhandled exception"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
status | string | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/masmovil/mobile_coverage/5g/28000010878000052%20%20%20%20%20%20%20%20%20003%C3%91%20%20%20%20%20%20%20' \
-H 'Accept: application/json' Validates if a mobile number can be renewed for portability
PATH PARAMETERS
Mobile number to validate
OK Success
{
"is_portable": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
is_portable* | boolean | Indicates if the number is portable |
curl -X GET 'https://feasibility.sta.masstack.com/v1/orgs/:orgId/mobile_portability/portability_check/600123456' \
-H 'Accept: application/json'